Method: accounts.contracts.commissionGroups.patch

Updates a given commission group.

HTTP request

PATCH https://merchantapi.googleapis.com/youtube/v1alpha/{commissionGroup.name=accounts/*/contracts/*/commissionGroups/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
commissionGroup.name

string

Identifier. The name of the CommissionGroup resource. Format: accounts/{account}/contracts/{contract}/commissionGroups/{commissionGroup}

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. The list of fields to update.

Fields specified in the update mask without a value specified in the body will be deleted from the commission group.

If update mask is set to *, all fields will be updated.

Request body

The request body contains an instance of CommissionGroup.

Response body

If successful, the response body contains an instance of CommissionGroup.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/content

For more information, see the OAuth 2.0 Overview.